#!/bin/bash
set -xe

PREFIX=stakhanov
BUILD_PREFIX=build
TRANSLATIONS="fr"
PROFILE_NAME=$PREFIX
DESTINATION=${BUILD_PREFIX}/$PREFIX
TEMP_NOCORE=${BUILD_PREFIX}/tmp_nocore
TEMP_BUILD=${BUILD_PREFIX}/tmp_build
THEME_NAME=${PREFIX}_theme
THEME_DIR=$DESTINATION/profiles/$PROFILE_NAME/themes/custom/$THEME_NAME

if which drush6; then
    DRUSH=drush6
else
    DRUSH=drush
fi

if [ ! -f drupal-org.make ]; then
  echo "[error] Run this script from the distribution base path."
  exit 1
fi

# Clean up previous build
rm -rf $BUILD_PREFIX
mkdir $BUILD_PREFIX

# Build the profile.
$DRUSH make --translations=$TRANSLATIONS --no-core --contrib-destination drupal-org.make $TEMP_NOCORE

# Build the distribution and copy the profile in place.
$DRUSH make drupal-org-core.make $TEMP_BUILD

# Assemble platform
cp -r $TEMP_NOCORE $TEMP_BUILD/profiles/$PROFILE_NAME
rm -rf $TEMP_NOCORE
cp -r `ls -A | grep -v $BUILD_PREFIX` $TEMP_BUILD/profiles/$PROFILE_NAME
mv $TEMP_BUILD $DESTINATION

# Compile SASS stylesheets
(cd $THEME_DIR; compass compile)

echo "done"
