<?php

function _stakhanov_install_features($features, &$context) {
  $context['message'] = st('Activation des features');
  features_install_modules($features);
  features_rebuild();
  features_revert();
}

function _stakhanov_install_themes($themes, &$context) {
  $context['message'] = st('Paramétrage des thèmes');
  variable_set('theme_default', $themes['default']);
  variable_set('admin_theme', $themes['admin']);
  theme_enable(array($themes['default'], $themes['admin']));
  theme_disable(array('bartik'));
}

function _stakhanov_install_blocks($themes, $blocks, &$context) {
  $context['message'] = st('Activation des blocs système');
  $block_config = array();
  foreach ($themes as $type => $theme) {
    foreach ($blocks as $delta => $region) {
      $block_config[] = array(
        'module' => 'system',
        'delta' => $delta,
        'theme' => $theme,
        'status' => 1,
        'weight' => 0,
        'region' => $region,
        'pages' => '',
        'cache' => -1,
      );
    }
  }
  $query = db_insert('block')->fields(array('module', 'delta', 'theme', 'status', 'weight', 'region', 'pages', 'cache'));
  foreach ($block_config as $block) {
    $query->values($block);
  }
  $query->execute();
}
